GNU Radio's IRIDIUM_TOOLKIT Package: gr::iridium::burst_downmix Class Reference

GNU Radio's IRIDIUM_TOOLKIT Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::iridium::burst_downmix Class Referenceabstract

<+description of block+> More...

`#include <burst_downmix.h>`

Inheritance diagram for gr::iridium::burst_downmix:
[legend]

## Public Types
typedef boost::shared_ptr< burst_downmix > | sptr

## Public Member Functions
virtual uint64_t | get_n_dropped_bursts ()=0
virtual size_t | get_input_queue_size ()=0

## Static Public Member Functions
static sptr | make (int sample_rate, int search_depth, size_t hard_max_queue_len, const std::vector< float > &input_taps, const std::vector< float > &start_finder_taps, bool handle_multiple_frames_per_burst)
| Return a shared_ptr to a new instance of iridium::burst_downmix. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<burst_downmix> gr::iridium::burst_downmix::sptr

## Member Function Documentation

## ◆ get_input_queue_size()

virtual size_t gr::iridium::burst_downmix::get_input_queue_size | ( |  | ) |
| pure virtual

Implemented in gr::iridium::burst_downmix_impl.

## ◆ get_n_dropped_bursts()

virtual uint64_t gr::iridium::burst_downmix::get_n_dropped_bursts | ( |  | ) |
| pure virtual

Implemented in gr::iridium::burst_downmix_impl.

## ◆ make()

static sptr gr::iridium::burst_downmix::make | ( | int | sample_rate,
|  | int | search_depth,
|  | size_t | hard_max_queue_len,
|  | const std::vector< float > & | input_taps,
|  | const std::vector< float > & | start_finder_taps,
|  | bool | handle_multiple_frames_per_burst
| ) |  |
| static

Return a shared_ptr to a new instance of iridium::burst_downmix.

To avoid accidental use of raw pointers, iridium::burst_downmix's constructor is in a private implementation class. iridium::burst_downmix::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- burst_downmix.h